@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΕΜΦΑΝΙΖΕΙ ΟΛΕΣ ΤΙΣ ΠΛΗΡΟΦΟΡΙΕΣ ΓΙΑ ΤΑ ΑΡΧΕΙΑ ΒΙΝΤΕΟ ΠΟΥ ΘΑ ΕΙΣΑΓΕΤΕ ΣΤΟ INPUT
REM ΓΡΑΨΤΕ ΤΟ ΑΡΧΙΚΟ ΓΡΑΜΜΑ ΤΟΥ ΑΡΧΕΙΟΥ ΚΑΙ ΠΑΤΗΣΤΕ ΤΑΒ ΜΕΧΡΙ ΝΑ ΦΕΡΕΙ ΑΥΤΟ ΠΟΥ ΘΕΛΕΤΕ.
REM ME SPACEBAR ΕΙΣΑΓΕΤΕ ΝΕΟ ΑΡΧΕΙΟ ΒΙΝΤΕΟ ΚΑΙ ENTER ΣΤΟ ΤΕΛΟΣ ΓΙΑ ΝΑ ΝΑ ΕΜΦΑΝΙΣΕΙ ΤΙΣ ΠΛΗΡΟΦΟΡΙΕΣ ΤΟΥΣ.
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

:FF

echo.
echo Εξάγω όλες πληροφορίες για το "%~1" ..
echo.
call ffprobe -v error -show_format -show_streams "%~1" > "%~1-info.ini"

if %ERRORLEVEL% NEQ 0 (
		call vidCodeError.bat %errorlevel%
		rem pause
		shift
	) else (
		call vidCodeError.bat 0
		rem pause
		shift		
)
if "%~1" == "" goto End
goto FF

rem endlocal 

:End 
call vid0ends.bat
exit /b 0